package cn.gtmap.bdcdj.core.encrypt.config;

import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Component
public class QlrConfig implements BaseConfig {
    @Override
    public List<String> getGlobalEnableFields() {
        List<String>  globalEnableFields = new ArrayList<String>();
        globalEnableFields.add("qlr");
        globalEnableFields.add("qlrmc");
        globalEnableFields.add("qlrzjh");
        return globalEnableFields;
    }

    @Override
    public List<Map> getSqlFileds() {
        return null;
    }

    @Override
    public List<Map> getSqlEncryptFileds() {
        return null;
    }

    @Override
    public List<Map> getSqlDecryptFileds() {
        return null;
    }

    @Override
    public List<Map> getEntityFileds() {
        List<Map> result = new ArrayList<Map>();
        Map map = new HashMap<String,Object>();
        map.put("entity","cn.gtmap.bdcdj.core.entity.BdcZs");
        map.put("field","czr");
        result.add(map);
        return result;
    }

    @Override
    public List<String> getSqlSingleEncryptFileds() {
        return null;
    }

    @Override
    public List<String> getSqlSingleDecryptFileds() {
        return null;
    }

    @Override
    public List<Map> getGlobalDisableMapFields() {
        return null;
    }

    @Override
    public List<Map> getGlobalDisableEntityFields() {
        //测试代码
//        List<Map> result = new ArrayList<Map>();
//        Map map = new HashMap<String,Object>();
//        map.put("entity","GdQlr");
//        map.put("field","qlr");
//        result.add(map);
//        return result;
        return null;
    }
}
